Package org.jfree.layouting.input.style.parser.stylehandler.text

## Class SpacingLimitReadHandler

- java.lang.Object
- - org.jfree.layouting.input.style.parser.stylehandler.text.SpacingLimitReadHandler

- All Implemented Interfaces:
    `CSSCompoundValueReadHandler`
  Direct Known Subclasses:
    `LetterSpacingLimitReadHandler`, `WordSpacingLimitReadHandler`

      public abstract class SpacingLimitReadHandler
      extends java.lang.Object
      implements CSSCompoundValueReadHandler

  Creation-Date: 24.05.2006, 15:13:13
  Author:
    Thomas Morgner

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CSSConstant` | `NORMAL` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `SpacingLimitReadHandler​()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Map` | `createValues​(org.w3c.css.sac.LexicalUnit unit)` | Parses the LexicalUnit and returns a map of (StyleKey, CSSValue) pairs.
    `StyleKey[]` | `getAffectedKeys​()` |
    `protected abstract StyleKey` | `getMaximumKey​()` |
    `protected abstract StyleKey` | `getMinimumKey​()` |
    `protected abstract StyleKey` | `getOptimumKey​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NORMAL

          public static final CSSConstant NORMAL

  - ### Constructor Detail

    - #### SpacingLimitReadHandler

          protected SpacingLimitReadHandler​()

  - ### Method Detail

    - #### createValues

          public java.util.Map createValues​(org.w3c.css.sac.LexicalUnit unit)

      Parses the LexicalUnit and returns a map of (StyleKey, CSSValue) pairs.
      Specified by:
        `createValues` in interface `CSSCompoundValueReadHandler`
      Parameters:
        `unit` -
      Returns:

    - #### getMinimumKey

          protected abstract StyleKey getMinimumKey​()

    - #### getMaximumKey

          protected abstract StyleKey getMaximumKey​()

    - #### getOptimumKey

          protected abstract StyleKey getOptimumKey​()

    - #### getAffectedKeys

          public StyleKey[] getAffectedKeys​()

      Specified by:
        `getAffectedKeys` in interface `CSSCompoundValueReadHandler`